/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.ejb.session;

import java.util.List;
import javax.ejb.Remote;
import sikd.ikonsol.model.Periode;
/**
 *
 * @author User
 */
@Remote
public interface PeriodeEjbHome {
    
    public List<Periode> findAll();
    public Periode findByID(int id);
    public Periode createNew();
    public Periode save(Periode obj);
    public Periode findByKode(String kode);
    public Periode update(Periode obj);
    public void delete(String kode);
    
    public List<Periode> findAllKode(String kode);
    
     public List<Periode> findAllAktif();
}
